package com.zcloud.zcGbsServicer.command.convertor;

import com.zcloud.zcGbsServicer.domain.model.RescueTeamE;
import com.zcloud.zcGbsServicer.domain.model.ResourcePersonE;
import com.zcloud.zcGbsServicer.dto.clientobject.RescueTeamCO;
import com.zcloud.zcGbsServicer.dto.clientobject.RescueTeamScreenCO;
import com.zcloud.zcGbsServicer.dto.clientobject.ResourcePersonCO;
import com.zcloud.zcGbsServicer.persistence.dataobject.RescueTeamDO;
import org.mapstruct.Mapper;

import java.util.List;



/**
* web-app
* @Author makejava
* @Date 2026-01-21 17:23:00
*/
@Mapper(componentModel = "spring")
public interface RescueTeamCoConvertor {
    /**
    * @param rescueTeamDOs
    * @return
    */
    List<RescueTeamCO> converDOsToCOs(List<RescueTeamDO> rescueTeamDOs);

    List<RescueTeamScreenCO> converDOsToScreenCOs(List<RescueTeamDO> rescueTeamDOs);

    List<RescueTeamE> converDOsToEs(List<RescueTeamDO> rescueTeamDOs);

    List<RescueTeamCO> converEsToCOs(List<RescueTeamE> rescueTeamES);

    RescueTeamCO converDOToCO(RescueTeamDO rescueTeamDO);

    RescueTeamScreenCO converDOToScreenCO(RescueTeamDO rescueTeamDO);

    RescueTeamE converDOToEO(RescueTeamDO rescueTeamDO);

    RescueTeamCO converEToCO(RescueTeamE rescueTeamE);


    ResourcePersonCO converPersonEToCO(ResourcePersonE resourcePersonE);
}

